package bizhi

import (
	"duoduo/apis/bizhi/apis"
	"github.com/gin-gonic/gin"
)

//壁纸下载
func InitBiZhiRouter(engine *gin.RouterGroup) {
	v1 := engine.Group("v1")
	{
		v1.POST("/upload", apis.Upload)                   //下载图片
		v1.POST("/round", apis.RondPicture)               //随机图片
		v1.POST("/set.user", apis.OpenIdSet)              //用户注册
		v1.POST("/get.score", apis.GetUserScore)          // 校验积分
		v1.POST("/sub.score", apis.SubUserScore)          //+-积分
		v1.POST("/score.list", apis.ScoreLogList)         //积分消费记录
		v1.POST("/openid.list", apis.GetUserList)         //邀请用户列表
		v1.POST("/bizhi.label", apis.PictureLabel)        //壁纸审核
		v1.POST("/label.list", apis.LabelList)            //标签
		v1.POST("/label.insert", apis.LabelInert)         //插入标签
		v1.POST("/bizhi.update", apis.PictureLabelUpdate) //更新标签
		v1.POST("/bizhi.group", apis.PictureGroup)        //获取组图
	}
}
