package bizhi

import orm "duoduo/database"

type ScoreLog struct {
	ID         int64  `gorm:"column:id;type:bigint(20);primary_key" json:"id"`     // 主键
	OpenID     string `gorm:"column:open_id;type:varchar(255)" json:"open_id"`     // open_id
	CreateTime string `gorm:"column:create_time;type:datetime" json:"create_time"` // 创建时间
	Score      int    `gorm:"column:score;type:int(11)" json:"score"`              // 积分
}

func (m *ScoreLog) TableName() string {
	return "score_log"
}

func (m *ScoreLog) ScoreLogList(pageSize int, pageIndex int) ([]ScoreLog, int, error) {
	var doc []ScoreLog

	table := orm.BzMysql.Table(m.TableName())

	table = table.Where("open_id = ?  ", m.OpenID)

	var count int
	if err := table.Select("id,open_id,score,DATE_FORMAT(create_time,'%Y-%m-%d %H:%i:%s') as create_time").Order("id desc").Offset((pageIndex - 1) * pageSize).Limit(pageSize).Find(&doc).Error; err != nil {
		return nil, 0, err
	}
	table.Count(&count)
	return doc, count, nil
}
